Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#31936 - Keyboard shortcuts do not work in Gnome/Cinnamon after update

Attached to Project: Arch Linux
Opened by Martin Dratva (raqua) - Saturday, 13 October 2012, 22:23 GMT
Last edited by Andrea Scarpino (BaSh) - Monday, 15 October 2012, 10:15 GMT
Task Type Bug Report
Category System
Status Closed
Assigned To Jan de Groot (JGC)
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 22
Private No

Details

Description:Today I updated my system and keyboard shortcuts stopped to work. I am using Cinnamon on 64bit architecture.

List of packages that were updated:

[2012-10-13 21:53] Running 'pacman -Sy'
[2012-10-13 21:53] synchronizing package lists
[2012-10-13 21:53] Running 'pacman -S -u'
[2012-10-13 21:53] starting full system upgrade
[2012-10-13 21:55] upgraded libglapi (8.0.4-3 -> 9.0-1)
[2012-10-13 21:55] upgraded libgl (8.0.4-3 -> 9.0-1)
[2012-10-13 21:55] upgraded ati-dri (8.0.4-3 -> 9.0-1)
[2012-10-13 21:55] upgraded cyrus-sasl-gssapi (2.1.23-10 -> 2.1.23-11)
[2012-10-13 21:55] upgraded cyrus-sasl-ldap (2.1.23-10 -> 2.1.23-11)
[2012-10-13 21:55] upgraded cyrus-sasl-sql (2.1.23-10 -> 2.1.23-11)
[2012-10-13 21:55] installed glu (9.0.0-1)
[2012-10-13 21:55] upgraded glew (1.8.0-1 -> 1.8.0-2)
[2012-10-13 21:55] upgraded freeglut (2.8.0-1 -> 2.8.0-2)
[2012-10-13 21:55] upgraded enblend-enfuse (4.0-6 -> 4.0-7)
[2012-10-13 21:55] upgraded gambas3-runtime (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-devel (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-crypt (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-image (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-desktop (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-form (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-form-stock (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-net (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-net-curl (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-qt4 (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-settings (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gambas3-gb-web (3.3.2-2 -> 3.3.3-1)
[2012-10-13 21:55] upgraded gegl (0.2.0-3 -> 0.2.0-4)
[2012-10-13 21:55] upgraded git (1.7.12.2-1 -> 1.7.12.3-1)
[2012-10-13 21:55] upgraded gnutls (3.1.2-1 -> 3.1.3-1)
[2012-10-13 21:55] upgraded gtkglext (1.2.0-7 -> 1.2.0-8)
[2012-10-13 21:56] upgraded hugin (2011.4.0-5 -> 2011.4.0-6)
[2012-10-13 21:56] upgraded imagemagick (6.7.9.8-1 -> 6.7.9.8-2)
[2012-10-13 21:56] upgraded systemd (194-1 -> 194-3)
[2012-10-13 21:56] upgraded sysvinit-tools (2.88-8 -> 2.88-9)
[2012-10-13 21:56] warning: /etc/rc.conf installed as /etc/rc.conf.pacnew
[2012-10-13 21:56] ----
[2012-10-13 21:56] > systemd no longer reads MODULES from rc.conf.
[2012-10-13 21:56] ----
[2012-10-13 21:56] upgraded initscripts (2012.09.2-2 -> 2012.10.1-1)
[2012-10-13 21:56] upgraded jasper (1.900.1-7 -> 1.900.1-8)
[2012-10-13 21:56] upgraded kdebase-runtime (4.9.2-1 -> 4.9.2-2)
[2012-10-13 21:56] upgraded kdelibs (4.9.2-1 -> 4.9.2-2)
[2012-10-13 21:56] upgraded khrplatform-devel (8.0.4-3 -> 9.0-1)
[2012-10-13 21:56] upgraded krusader (2.4.0beta1-6 -> 2.4.0beta2-1)
[2012-10-13 21:56] upgraded lib32-libglapi (8.0.4-4 -> 9.0-1)
[2012-10-13 21:56] upgraded lib32-libgl (8.0.4-4 -> 9.0-1)
[2012-10-13 21:56] upgraded lib32-ati-dri (8.0.4-4 -> 9.0-1)
[2012-10-13 21:56] upgraded mesa (8.0.4-3 -> 9.0-1)
[2012-10-13 21:56] upgraded lib32-mesa (8.0.4-4 -> 9.0-1)
[2012-10-13 21:56] upgraded libgbm (8.0.4-3 -> 9.0-1)
[2012-10-13 21:56] upgraded libegl (8.0.4-3 -> 9.0-1)
[2012-10-13 21:56] upgraded libgles (8.0.4-3 -> 9.0-1)
[2012-10-13 21:56] upgraded libreoffice-en-US (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded libreoffice-common (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded libreoffice-calc (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded libreoffice-extension-pdfimport (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded libreoffice-impress (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded libreoffice-writer (3.6.2-1 -> 3.6.2-2)
[2012-10-13 21:56] upgraded luminancehdr (2.3.0-2 -> 2.3.0-3)
[2012-10-13 21:56] upgraded nouveau-dri (8.0.4-2 -> 9.0-1)
[2012-10-13 21:56] upgraded rsync (3.0.9-4 -> 3.0.9-5)
[2012-10-13 21:56] upgraded sysvinit (2.88-8 -> 2.88-9)
[2012-10-13 21:56] upgraded tmux (1.6-2 -> 1.7-1)
[2012-10-13 21:56] installed lib32-glu (9.0.0-1)
[2012-10-13 21:56] upgraded wine (1.5.14-1 -> 1.5.15-1)
[2012-10-13 21:56] upgraded wine_gecko (1.7-1 -> 1.8-1)
[2012-10-13 21:56] upgraded xf86-input-evdev (2.7.3-1 -> 2.7.3-2)
[2012-10-13 21:56] upgraded xf86-input-keyboard (1.6.2-1 -> 1.6.2-2)
[2012-10-13 21:56] upgraded xf86-input-mouse (1.8.1-1 -> 1.8.1-2)
[2012-10-13 21:56] upgraded xf86-video-ati (1:6.14.6-1 -> 1:6.14.6-2)
[2012-10-13 21:56] upgraded xf86-video-nouveau (1.0.2-1 -> 1.0.2-2)
[2012-10-13 21:56] upgraded xf86-video-vesa (2.3.2-1 -> 2.3.2-2)
[2012-10-13 21:56] upgraded xorg-server-common (1.12.4-1 -> 1.13.0-2)
[2012-10-13 21:56] upgraded xorg-server (1.12.4-1 -> 1.13.0-2)
[2012-10-13 21:56] upgraded xorg-server-devel (1.12.4-1 -> 1.13.0-2)
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Monday, 15 October 2012, 10:15 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#31910 
Comment by Daniel Wallace (gtmanfred) - Saturday, 13 October 2012, 22:31 GMT
Cinnamon is not supported by archlinux. is it also broken on just Gnome?
Comment by Giancarlo Bianchi (hermes14) - Saturday, 13 October 2012, 23:10 GMT
I run gnome-shell from extra and I experience the same bug since the xorg upgrade.
Comment by Alfonso Ricardo de la Guarda Reyes (alfonsodg) - Sunday, 14 October 2012, 00:05 GMT
I have the same problem since the last update, by the way i haven't locate the  FS#31910  , why duplicated?
Comment by Timo (bstar) - Sunday, 14 October 2012, 10:16 GMT
same here. Using gnome-shell. Downgrade xorg-server, xorg-server-common and xf86-video-intel, xf86-input-evdev solved it for me..
Comment by David Hoyes (dphoyes) - Sunday, 14 October 2012, 13:51 GMT
Same problem here. According to https://bbs.archlinux.org/viewtopic.php?pid=1175096 this is fixed by Gnome 3.6 from unstable repos.
Comment by David Strawn (zdevex) - Sunday, 14 October 2012, 21:05 GMT
Same issue for me. I filed an upstream bug report here. https://bugzilla.gnome.org/show_bug.cgi?id=686102

Loading...